RSS   Podatności dla 'Libsndfile'   RSS

2015-11-17
 
CVE-2015-7805

CWE-119
 

 
Heap-based buffer overflow in libsndfile 1.0.25 allows remote attackers to have unspecified impact via the headindex value in the header in an AIFF file.

 
2011-07-26
 
CVE-2011-2696

CWE-119
 

 
Integer overflow in libsndfile before 1.0.25 allows remote attackers to cause a denial of service (application crash) or possibly execute arbitrary code via a crafted PARIS Audio Format (PAF) file that triggers a heap-based buffer overflow.

 
2010-05-06
 
CVE-2009-4835

CWE-189
 

 
The (1) htk_read_header, (2) alaw_init, (3) ulaw_init, (4) pcm_init, (5) float32_init, and (6) sds_read_header functions in libsndfile 1.0.20 allow context-dependent attackers to cause a denial of service (divide-by-zero error and application crash) via a crafted audio file.

 
2009-05-26
 
CVE-2009-1791

CWE-119
 

 
Heap-based buffer overflow in aiff_read_header in libsndfile 1.0.15 through 1.0.19, as used in Winamp 5.552 and possibly other media programs, allows remote attackers to cause a denial of service (application crash) and possibly execute arbitrary code via an AIFF file with an invalid header value.

 
 
CVE-2009-1788

CWE-119
 

 
Heap-based buffer overflow in voc_read_header in libsndfile 1.0.15 through 1.0.19, as used in Winamp 5.552 and possibly other media programs, allows remote attackers to cause a denial of service (application crash) and possibly execute arbitrary code via a VOC file with an invalid header value.

 
2009-03-04
 
CVE-2009-0186

CWE-189
 

 
Integer overflow in libsndfile 1.0.18, as used in Winamp and other products, allows context-dependent attackers to execute arbitrary code via crafted description chunks in a CAF audio file, leading to a heap-based buffer overflow.

 
2007-09-19
 
CVE-2007-4974

CWE-119
 

 
Heap-based buffer overflow in the flac_buffer_copy function in libsndfile 1.0.17 and earlier might allow remote attackers to execute arbitrary code via a FLAC file with crafted PCM data containing a block with a size that exceeds the previous block size.

 

 >>> Vendor: Mega-nerd 2 Produkty
Libsndfile
Secret rabbit code


Copyright 2022, cxsecurity.com

 

Back to Top